<?php
require_once 'core/system.php';


unreg();
head('Начало Пути');

$myid = $user['id'];
$las = mt_rand(0,5000);
switch($_GET['go']){
default:

$_SESSION['vrag_hp']=1000;
$_SESSION['my_hp']=1000;
?><center><img src="img/mag.jpg" width="100%"></center><?

?><div class="lblue-panel panel-
inner-2">
<div class="mb5">
Здравствуй незнакомец! Я Азраил проводник в Мир тьмы.. Мир который населяют монстры. Тени и другая нечисть.. Там есть и люди. Но они сторонники разных направлений.. Сторонники Света, те кто хотят уничтожить всю тьму. Чтоб она не выбралась в наш мир. Так же Сторонники Тьмы. Которые убивают только ради наживы.. Выбор за тобой...



<div class="clearer"></div>
</div>
<table width="100%"><tr><td width="50%"><a class="btn nav-btn" href="/start?go=change_white"><img src="/img/class/1/1/pers.png" alt="*" width="12" height="12"class="link-icon"/>Свет</a></td><td width="50%"><a class="btn nav-btn"href="start?go=change_black"><img src="/img/class/2/1/pers.png" alt="" width="12"height="12" class="link-icon"/>Тьма</a></td></tr></table><table width="100%"></div>

<div class="page-title">Шаг 1/4 </div><?
exit;
case 'change_sex':
?><center><img src="img/mag.jpg" width="100%"></center><?

?><div class="lblue-panel panel-inner-2"><div class="mb5">



<center> Выберите Ваш Пол </center>



</div><table width="100%"><tr><td width="50%"><a class="btn nav-btn" href="/start?go=change_male">Мужской</a></td><td width="50%"><a class="btn nav-btn"href="start?go=change_famale">Женский</a></td></tr></table><table width="100%"></div><div class="page-title">Шаг 2/5</div><?





break;
case 'change_st':
?><center><img src="img/mag.jpg" width="100%"></center><?

?><div class="lblue-panel panel-inner-2"><div class="mb5">



</div><table width="100%"><tr><td width="50%"><img src="/img/at/voin.jpg" alt="*"></br>Воин -человек обладающий огромной физической силой. Предпочитает тяжелые стальные доспехи. Воин с легкостью может в одиночку идти на охоту. Лишая жизни одним ударом меча</td><td width="50%"><img src="/img/at/mag.jpg" alt=""></br>Маг - предпочитает более легкие вещи. Уязвим к атакам. Поэтому часто проигрывает в бою. Но его познания в магии наводят ужас на врагом. Выпущенная магом молния. Способна сжечь целую толпу</td></tr></table><table width="100%"><?
?></div><table width="100%"><tr><td width="50%"><a class="btn nav-btn" href="/start?go=class_voin"><img src="/img/class/<?=$_SESSION['storon']?>/1/pers.png" alt="*" width="12" height="12"class="link-icon"/>Воин</a></td><td width="50%"><a class="btn nav-btn"href="start?go=class_mag"><img src="/img/class/<?=$_SESSION['storon']?>/2/pers.png" alt="" width="12"height="12" class="link-icon"/>Маг</a></td></tr></table><table width="100%"></div><div class="page-title">Шаг 3/5 </div><?

break;
case 'bat':


if($_SESSION['vrag_hp']<=0){ header('location: start?go=login');exit(); }
If($_SESSION['my_hp']>400){ $colorit ='green';}else{$colorit ='red';}
If($_SESSION['vrag_hp']>400){ $colori ='green';}else{$colori ='red';}
?><center><div class="lblue-panel panel-
inner-2"><div class="example3"
style="text-align:center"><img src="img/
sk.jpg" width="100%" border-radius:8px"><div class="example_text"><a style="color: #ffffff;text-decoration:none;">Отличный выбор! Самое время проявить себя в бою! !!</a></div></div></center><?



?><div class="lblue-panel panel-inner-2"><div class="mb5"> <?
If($_SESSION['class']==1){ $bra ='voin' ;}else{ $bra ='mag';}
If(isset($_SESSION['dest'])){?> <?=$_SESSION['dest']?> <?


$_SESSION['dest']=NULL;}

?><table width='100%'
border='0' cellpadding='1'
cellspacing='1'><tr><td width="50%"><center>Странник <img src="img/stat/hp.png"><span style=color:<?=$colorit?>;font-


size:11px;><?=$_SESSION['my_hp']?></span></br><img src="/img/at/
<?=$bra?>.jpg" alt="*"></center></td><td width="50%"><center>Мертвец <img src="img/stat/hp.png"><span style=color:<?=$colori?>;font-



size:11px;><?=$_SESSION['vrag_hp']?></
span></br><img src="/img/at/sk.jpg" alt="" width="112" ></center></td></tr></table><a class="btn-arena-attack"


id="attackButton" href="start?go=udar&ty=<?=$las?>">
Атаковать</a>
<div class="page-title">Шаг 4/5 </div><?

break;
case 'change_white':
$_SESSION['storon']=1;
header('location: start?go=change_sex');exit();


break;
case 'change_black':
$_SESSION['storon']=2;
header('location: start?go=change_sex');exit();

break;
case 'class_voin':
$_SESSION['class']=1;

header('location: start?go=bat');exit();
break;
case 'class_mag':
$_SESSION['class']=2;

header('location: start?go=bat');exit();
break;
case 'change_male':  $_SESSION['sex']=1;  header('location: start?go=change_st');exit(); break;  
case 'change_famale':  $_SESSION['sex']=2;  header('location: start?go=change_st');exit(); break;
case 'udar':
$deline = mt_rand(50,140);
$vrag = mt_rand(30,80);
$_SESSION['vrag_hp'] =$_SESSION['vrag_hp'] - $deline;
$_SESSION['my_hp'] =$_SESSION['my_hp'] - $vrag;
$_SESSION['dest']='<div id="arenaInfo" class="arena-info">Ты нанес <span class="yellow">'.$deline.'</span> урона, враг - <span class="major">'.$vrag.'</span>!</div>';


header('location: start?go=bat');exit();
break;
case 'login':
if(!empty($_POST['login']) and !empty($_POST['password'])){

	$login = protect($_POST['login']);


	$password = protect($_POST['password']);
$de = $dbc->query("SELECT (id) FROM `users` WHERE `login` = '".$login."' LIMIT 1"); $des= $de->num_rows; if($des >0){






$_SESSION['err']='Логин уже зарегистрирован!';header('location: start?go=login');exit();

	}
	if(iconv_strlen($login) < 3 or iconv_strlen($login) > 20){




$_SESSION['err']='Логин должен быть от 3-х до 20-ти символов '.$login.'';header('location: start?go=login');exit();


} 	



//if (!preg_match('|^[a-z0-9\-]+$|i',$login)) {


if (!preg_match('~^[a-яА-Яa-zA-Z0-9\s]+$~iu', $login)){


$_SESSION['err']='Запрещенные символы в логине!';header('location: start?go=login');exit();}


$mail ='test@nixwarr.tyo';
$pers_id = int($_SESSION['class']);
$storona = int($_SESSION['storon']);
$sex = int($_SESSION['sex']);
$pers_id = ($pers_id>0) ? $pers_id : 1;

$storona = ($storona>0) ? $storona : 1;


$sex = ($sex>0) ? $sex : 1;


$pers_id = $dbc->query("SELECT * FROM `pers` WHERE `id`='".$pers_id."'")->fetch_assoc();
$money = 30000;
$rubin=1500;

$sam= "INSERT INTO `users` (login,pass,mail,pers,reg_time,time,sokru,storona,vampir,serebro,gold,strength,defense,crit,regen,sex,avatar,amulet1,amulet2,ten,plazm) values('".$login."','".md5_sault($password)."','".$mail."','".$pers_id['id']."','".time()."','".time()."','".$pers_id['strength']."','".$storona."','".$pers_id['defense']."','".$money."','".$rubin."',10,10,5,5,'".$sex."',1,1,1,10,20)";



$dbc->query($sam);

$idd = $dbc->insert_id;
$idu = $dbc->insert_id; $dbc->query("INSERT INTO `amulet` (user,tip,name,level,dobavka) values('".$idu."',1,'Душа Тени',1,10)");
$dbc->query("INSERT INTO `amulet` (user,tip,name,level,dobavka) values('".$idd."',2,'Сияние Плазмы',1,20)");
$_SESSION['message']=' золото выданное вам, лучше потратить на редкие вещи в лавке';
header('Location: sign.php?login='.$login.'&pass='.$password.'');
}else{
?><center><div class="lblue-panel panel-
inner-2"><div class="example3"
style="text-align:center"><img src="img/
stran.jpg" width="100%" border-radius:8px"><div class="example_text"><a style="color: #ffffff;text-decoration:none;">Отличный бой! Заслуженная победа самое время указать данные. Для книги судеб. Может именно твое имя станет Легендой </a></div></div></center><?

If(isset($_SESSION['err']))
{ ?><div style="clear:both;"></div><div class="b-notice trsmgr"><div class="notify-
inner"><?=$_SESSION['err']?></div></div><?
$_SESSION['err']=NULL;}
?><div class="lblue-panel"><div class="panel-inner"><form class="typical-form"



id="loginForm"
autocomplete="off" action="/start?go=login"
method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="loginForm_hf_0" id="loginForm_hf_0"></div><div class="form-field"><label for="login"> Имя
персонажа:</label><br><input id="login" type="text" class="input-area" value=""
name="login"></div><div class="form-field"><label
for="password">Пароль:</label><br><input id="password" type="password" class="input-area" value=""
name="password"></div><div class="mt10 form-submit"><input id="submit" type="submit" class="btn"
name="p::submit"
value="Продолжить Путь"></div></form>

<div class="page-title">Шаг 5/5 </div><?
}





break;
}